Set Average Rating
1 min
PUT
https://api.upstartcommerce.com/v1/catalog/{catalogItemId}/avgrating
catalogItemIdstringUnique identifier for a catalog item.
x-upstart-tenantstringTenant identifier associated with the site this call is for.
x-upstart-sitestringUnique identifier for the site.
bodyobject
200<p>Success-update of rating for given catalog item.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/catalog/{catalogItemId}/avgrating \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'